package DB;
final public class DescriptorRowHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.ColumnDescriptor[] value;

	public DescriptorRowHolder ()
	{
	}
	public DescriptorRowHolder (DB.ColumnDescriptor[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DescriptorRowHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = DescriptorRowHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		DescriptorRowHelper.write(out,value);
	}
}
